Subject: Re: linux-next: build failure after merge of the folio tree

From: Matthew Wilcox <[email-masked]>
Date: Tue, 15 Mar 2022 14:42:01 +0000

On Tue, Mar 15, 2022 at 09:26:10PM +1100, Stephen Rothwell wrote:
> Hi all,
> 
> After merging the folio tree, today's linux-next build (powerpc
> ppc64_defconfig) failed like this:
> 
> mm/readahead.c: In function 'read_cache_pages_invalidate_page':
> mm/readahead.c:54:17: error: implicit declaration of function 'do_invalidatepage'; did you mean 'd_invalidate'? [-Werror=implicit-function-declaration]
>    54 |                 do_invalidatepage(page, 0, PAGE_SIZE);
>       |                 ^~~~~~~~~~~~~~~~~
>       |                 d_invalidate
> 
> Caused by commit
> 
>   f1fdabbaae8e ("fs: Turn do_invalidatepage() into folio_invalidate()")
> 
> I have used the folio tree from next-20220310 for today.

Sorry about that.  Originally, I'd removed that entire function in an
earlier commit, but had to shuffle that commit to after the NFS tree
merges.

There's a new for-next for your merge resolution tomorrow ... not much
I can do about the conflicts, but all your resolutions seemed
reasonable.  Fixed a couple of other build bugs noted by the build bots
(ceph & hostfs)